package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.GameUserConfigListDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameUserConfigListVO;
import com.zanxiang.game.data.serve.service.IGameUserConfigService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * packageName com.zanxiang.game.data.serve.controller
 *
 * @author ZhangXianyu
 * @date 2024/4/18
 * @description 有效创角配置管理
 */
@Api(tags = "有效创角配置管理")
@RestController
@RequestMapping("/gameUserConfig")
@Slf4j
public class GameUserConfigController {

    @Resource
    private IGameUserConfigService gameUserConfigService;

    @ApiOperation(value = "有效创角配置列表")
    @PreAuthorize(permissionKey = "roleManage:validRoleConfig:list")
    @PostMapping(value = "/list")
    public ResultVO<Page<GameUserConfigListVO>> validRoleConfigList(@Validated @RequestBody GameUserConfigListDTO dto) {
        return ResultVO.ok(gameUserConfigService.validRoleConfigList(dto));
    }

}